# tbb::interface5::reader_writer_lock::scoped_lock_read Class Reference

The scoped lock pattern for read locks. More...

`#include <reader_writer_lock.h>`

List of all members.

## Public Member Functions
| scoped_lock_read (reader_writer_lock &lock)
| Construct with blocking attempt to acquire read lock on the passed-in lock.
| ~scoped_lock_read ()
| Destructor, releases the read lock.
void * | operator new (size_t s)
void | operator delete (void *p)
## Friends
class | reader_writer_lock

## Detailed Description

The scoped lock pattern for read locks.

The documentation for this class was generated from the following file:

- reader_writer_lock.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.